Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.types
Class DateTimeDatatype

    java.lang.Object
      org.teleal.cling.model.types.AbstractDatatype<Date>
          org.teleal.cling.model.types.DateTimeDatatype

All Implemented Interfaces:
  Datatype<Date>

    public class DateTimeDatatype

extends AbstractDatatype<Date>

Nested Class Summary

Nested classes/interfaces inherited from interface org.teleal.cling.model.types.Datatype
`Datatype.Builtin, Datatype.Default`

Field Summary
`protected String[]` | `readFormats`
`protected String` | `writeFormat`

Constructor Summary
`DateTimeDatatype(String[] readFormats, String writeFormat)`

Method Summary
`Date` | `fromString(String s)`
`protected Date` | `getDateValue(String value, String[] formats)`
`Date` | `getDefaultValue()`
`String` | `getString(Date value)`
`protected TimeZone` | `getTimeZone()`
`protected String` | `normalizeTimeZone(String value)`

Methods inherited from class org.teleal.cling.model.types.AbstractDatatype
`getBuiltin, getDisplayString, getValueType, isValid, setBuiltin, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### readFormats

    protected String[] readFormats

### writeFormat

    protected String writeFormat

Constructor Detail

### DateTimeDatatype

    public DateTimeDatatype(String[] readFormats,
                            String writeFormat)

Method Detail

### fromString

    public Date fromString(String s)
                    throws InvalidValueException

  Throws:
    `InvalidValueException`

### getString

    public String getString(Date value)
                     throws InvalidValueException

  Specified by:
    `getString` in interface `Datatype<Date>`
  Overrides:
    `getString` in class `AbstractDatatype<Date>`
  Throws:
    `InvalidValueException`

### normalizeTimeZone

    protected String normalizeTimeZone(String value)

### getDateValue

    protected Date getDateValue(String value,
                                String[] formats)

### getTimeZone

    protected TimeZone getTimeZone()

### getDefaultValue

    public Date getDefaultValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.